Wybrany serwer SQL jest w wersji 2000/2005/2008/2008 R2, ta wersja nie jest obsługiwana. Skonfiguruj połączenie z serwerem SQL w nowszej wersji. - Baza Wiedzy programu Comarch ERP Optima1

Wybrany serwer SQL jest w wersji 2000/2005/2008/2008 R2, ta wersja nie jest obsługiwana. Skonfiguruj połączenie z serwerem SQL w nowszej wersji.

Comarch ERP Optima od wersji 2014.5.1. nie współpracuje z silnikiem bazy danych Microsoft SQL Server 2005 oraz 2000, a od wersji 2019.2.1 z silnikiem Microsoft SQL Server 2008 oraz 2008 R2.

W przypadku posiadania baz z MS SQL 2008, 2008 R2, 2005 lub 2000, aby móc pracować na Comarch ERP Optima w wyższej wersji należy zainstalować nowszą wersję silnika bazy danych i przenieść na niego bazy danych. Można do tego wykorzystać narzędzie Migrator baz danych, które znajduje się na Indywidualnych Stronach Klientów w obszarze aktualnych wersji (http://www.erp.comarch.pl/klienci/default.aspx?site=2248).

Microsoft SQL Server 2012 nie obsługuje baz pochodzących z wersji Microsoft SQL Server 2000. W przypadku konieczności przeniesienia takich baz do wersji MS SQL 2012, należy to zrobić dwuetapowo, tzn. w pierwszym kroku odtworzyć bazy pochodzące z SQL 2000 na MS SQL w wersji 2005, 2008 lub 2008 R2,wykonać kopię bezpieczeństwa i dopiero te pośrednie kopie odtwarzać na MS SQL2012.